package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFIQ2 extends MwfRequest<MWFIQ2, MWFIQ2Response> {

    @Parameter(name = "AppKey")
    MWFIQ2 appKey(Long appKey);
    @Parameter(name = "INST_PT_KEY")
    MWFIQ2 instPtKey(Long instPtKey);
    @Parameter(name = "NacistPoplatky_Flag")
    MWFIQ2 nacistPoplatkyFlag(String nacistPoplatkyFlag);
    @Parameter(name = "ZadostOnlineUDC_Flag")
    MWFIQ2 zadostOnlineUDCFlag(String zadostOnlineUDCFlag);
}
